;ASPECTS OF BANDLIMITING
;Ex.3, Bandlimited tables using Hertz
;employs bandlimited tables for freq sweep.
;May be too SLOW for realtime due to large numbers of tables generated

<CsoundSynthesizer>
<CsOptions>

;-+rtaudio=portaudio -otest.wav
-+rtaudio=portaudio -odac 
csound -s -d -b4096 -B4096 

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	441
ksmps	=	100
nchnls	=	1


/* sawtooth wave */
i_	ftgen 30000, 0, 16384, 7, 1, 16384, -1


/* generate bandlimited sawtooth waves for ALL FREQS up 1/2 SR */
i0	=  0
loop1:
imaxh = (sr/2) / i0
i_	ftgen i0, 0, 4096, -30, 30000, 1, imaxh
;print imaxh
i0	=  i0 + 1
	if (i0 < sr/2) igoto loop1


;GEN16
i_	ftgen 30500, 0, 32768, -16, 1, 22050, 0, 22049 

;===================================================
;===================================================
;===================================================
	instr 1

kphs phasor 0.043
ktable table kphs * 22050, 30500, 0
;printk2 kfreq, 5

;best saved as soundfile, not heard in realtime
a2	oscilikt 2000, ktable, ktable

out a2
	endin


</CsInstruments>
<CsScore>

i1 0 23


</CsScore>
</CsoundSynthesizer>
