;ASPECTS OF BANDLIMITING
;Ex.5, i-time utility to convert back n' forth
;from midi to hertz


<CsoundSynthesizer>
<CsOptions>

-+rtaudio=portaudio -odac 
csound -s -d -b4096 -B4096 

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	441
ksmps	=	100
nchnls	=	1



/* CONVERT MIDI NUMBER TO HERTZ */
;f(n) = 440 * 2exp((n-69)/12) ;convert n = midi pitch num to hertz

i0	=  0
loop1:
icps = 440.0 * exp(log(2.0) * (i0 - 69.0) / 12.0)
prints "icps = %6.3f, midi = %3.3f\\n", icps, i0
i0	=  i0 + 1
	if (i0 < 127.5) igoto loop1


/* CONVERT HERTZ NUMBER TO MIDI */
;n = 12 * (log(f/220)/log(2))+57 ;convert freq to midi num

i2	=  8
loop2:
imidi = 12 * (log(i2/220)/log(2))+57
imidi = round (imidi)
print i2, imidi
i2	=  i2 + 1
	if (i2 <= sr/2) igoto loop2

;===================================================
;===================================================
;===================================================
	instr 5

	endin



</CsInstruments>
<CsScore>


i5 0 5


</CsScore>
</CsoundSynthesizer>
